function [zona, s] = crtaj_zoni(datoteka)
[xy, h] = feval(datoteka);
n = length(h);
for i = 1:n
    proverka = xy{i}(1,:) == xy{i}(end,:);
    if sum(proverka) ~= 2
        xy{i} = [xy{i}; xy{i}(1,:)];
    end
end
zona = cell(n,1); s = zeros(n,1);
for i = 1:n
    plot(xy{i}(:,1),xy{i}(:,2),'-k'); axis equal; hold on
    izlez = extendPoly(xy{i},3*h(i),pi/180);
    zona{i} = izlez{1};
    plot(zona{i}(:,1),zona{i}(:,2),'-k');
    s(i) = polyarea(zona{i}(:,1),zona{i}(:,2))/1e6;
    fprintf('s(%i) = %.6f km^2\n',i,s(i));
end
set(gcf,'Color',[1 1 1]);
xlabel('x (m)'); ylabel('y (m)');