function [x_eq, y_eq, s_eq] = odzemi_zoni(datoteka,i,j)
[zona, s] = crtaj_zoni(datoteka);
[x_eq,y_eq] = polybool('subtraction', ...
        zona{i}(:,1),zona{i}(:,2),zona{j}(:,1),zona{j}(:,2));
s_eq = polyarea(x_eq,y_eq)/1e6;
fprintf('s_eq = %.6f km^2\n',s_eq);
plot(x_eq,y_eq,'-k','LineWidth',2);
patch(x_eq,y_eq,'y');
p = findobj(gcf,'type','patch');
set(p,'facealpha',0.5);
