function [x_eq, y_eq, s_eq] = spoi_zoni(datoteka)
[zona, s] = crtaj_zoni(datoteka);
x_eq = zona{1}(:,1); y_eq = zona{1}(:,2);
n = length(s);
for i = 2:n
    [x_eq,y_eq] = polybool('union',x_eq,y_eq,zona{i}(:,1),zona{i}(:,2));
end
s_eq = polyarea(x_eq,y_eq)/1e6;
fprintf('s_eq = %.6f km^2\n',s_eq);
plot(x_eq,y_eq,'-k','LineWidth',2);
patch(x_eq,y_eq,'y');
p = findobj(gcf,'type','patch');
set(p,'facealpha',0.5);
